Bug 525939 - xrandr settings lost on suspend/resume cycle
Summary: xrandr settings lost on suspend/resume cycle
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_945GM
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-27 11:30 UTC by Jonathan Underwood
Modified: 2018-04-11 12:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:49:25 UTC


Attachments (Terms of Use)
Xorg.log for this machine (342.02 KB, text/plain)
2009-09-27 11:33 UTC, Jonathan Underwood
no flags Details

Description Jonathan Underwood 2009-09-27 11:30:53 UTC
Description of problem:
I have a laptop connected to an external monitor from the VGA port. Before I susped, I have the LVDS off. When I suspend and resume, the LVDS is on again (as is the external monitor, correctly). Doing a xrandr --output LVDS1 --off doesn't ten succeed in turning the LVDS off. Only doing a xrandr --output LVDS1 --auto and then a xrandr --output LVDS1 --off succeeds in turning the LVDS off.


Version-Release number of selected component (if applicable):
$ rpm -qa | grep xorg
xorg-x11-drv-keyboard-1.3.2-3.fc11.x86_64
xorg-x11-drv-fbdev-0.4.0-4.fc11.x86_64
xorg-x11-drv-hyperpen-1.3.0-1.fc11.x86_64
xorg-x11-drv-penmount-1.4.0-2.fc11.x86_64
xorg-x11-server-utils-7.4-7.1.fc11.x86_64
xorg-x11-drv-synaptics-1.1.3-1.fc11.x86_64
xorg-x11-drv-fpit-1.3.0-3.fc11.x86_64
xorg-x11-fonts-ISO8859-1-75dpi-7.2-8.fc11.noarch
xorg-x11-drv-glint-1.2.2-2.fc11.x86_64
xorg-x11-drv-mutouch-1.2.1-2.fc11.x86_64
xorg-x11-drv-aiptek-1.2.0-1.fc11.x86_64
xorg-x11-drv-elographics-1.2.3-2.fc11.x86_64
xorg-x11-xinit-1.0.9-9.fc11.x86_64
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-drv-openchrome-0.2.903-12.fc11.x86_64
xorg-x11-xkb-utils-7.2-8.fc11.x86_64
xorg-x11-drv-void-1.2.0-1.fc11.x86_64
xorg-x11-server-common-1.6.4-0.1.fc11.x86_64
xorg-x11-drv-evdev-2.2.5-1.fc11.x86_64
xorg-x11-drv-vesa-2.2.0-3.fc11.x86_64
xorg-x11-drv-savage-2.2.1-1.fc11.x86_64
xorg-x11-drv-v4l-0.2.0-2.fc11.x86_64
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.x86_64
xorg-x11-drv-rendition-4.2.1-2.fc11.x86_64
xorg-x11-drv-vmware-10.16.0-3.fc11.x86_64
xorg-x11-drv-mga-1.4.10-1.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-drv-r128-6.8.0-3.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
xorg-x11-drivers-7.3-11.fc11.x86_64
xorg-x11-proto-devel-7.4-15.fc11.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-xauth-1.0.2-6.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64
xorg-x11-drv-acecad-1.3.0-1.fc11.x86_64
xorg-x11-drv-apm-1.2.1-2.fc11.x86_64
xorg-x11-drv-mach64-6.8.0-3.fc11.x86_64
xorg-x11-drv-trident-1.3.1-2.fc11.x86_64
xorg-x11-drv-dummy-0.3.1-2.fc11.x86_64
xorg-x11-drv-cirrus-1.2.0-6.fc11.x86_64
xorg-x11-drv-sis-0.10.1-2.fc11.x86_64
xorg-x11-drv-nv-2.1.13-1.fc11.x86_64
xorg-x11-drv-vmmouse-12.6.4-1.fc11.x86_64
xorg-x11-drv-mouse-1.4.0-2.fc11.x86_64
xorg-x11-drv-ast-0.87.0-2.fc11.x86_64
xorg-x11-drv-tdfx-1.4.1-2.fc11.x86_64
xorg-x11-drv-s3virge-1.10.2-2.fc11.x86_64
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64
xorg-x11-utils-7.4-4.fc11.x86_64
xorg-x11-font-utils-7.2-7.fc11.x86_64
xorg-x11-drv-voodoo-1.2.1-2.fc11.x86_64
xorg-x11-drv-sisusb-0.9.1-2.fc11.x86_64
xorg-x11-drv-i128-1.3.0-2.fc11.x86_64
xorg-x11-drv-i740-1.2.0-3.fc11.x86_64

kernel-2.6.30.5-43.fc11.x86_64



How reproducible:
Everytime

Steps to Reproduce:
1.Boot computer with external monitor and issue a xrandr --output LVDS1 --off
2.Suspend + Resume
3.
  
Actual results:
LVDS is on following resume, and can't be deactivated with xrandr --output LVDS1 --off. Only issueing xrandr --output LVDS1 --auto, then xrandr --output LVDS1 --off turns off the LVDS.

Expected results:
LVDS in same state (off) following resume.

Additional info:
This report is similar to BZ #520068, but ajax asked me to report against xorg so it didn't get lost in the kernel bug list.

Comment 1 Jonathan Underwood 2009-09-27 11:31:29 UTC
lspci output for this machine:

$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
03:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 0a)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 05)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

Comment 2 Jonathan Underwood 2009-09-27 11:32:20 UTC
Smolt profile for this machine:

http://www.smolts.org/client/show/pub_de5f311e-47ae-4043-9ee0-9bd704830e6a

Comment 3 Jonathan Underwood 2009-09-27 11:33:54 UTC
Created attachment 362818 [details]
Xorg.log for this machine

Comment 4 Jonathan Underwood 2009-09-27 11:34:29 UTC
Note: that Xorg.log was uploaded just after a suspend/resume cycle - not sure if that's relevant.

Comment 5 Jonathan Underwood 2009-09-27 11:38:38 UTC
The following is a cut and paste immediately after suspend and resume, where I see both monitors on:

[jgu@m1210 ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
VGA1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0 +   75.0* 
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
LVDS1 connected (normal left inverted right x axis y axis)
   1280x800       60.0 +
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  



[jgu@m1210 ~]$ xrandr --output LVDS1 --auto
[jgu@m1210 ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
VGA1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0 +   75.0* 
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  



[jgu@m1210 ~]$ xrandr --output LVDS1 --off
[jgu@m1210 ~]$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
VGA1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0 +   75.0* 
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
LVDS1 connected (normal left inverted right x axis y axis)
   1280x800       60.0 +
TV1 unknown connection (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9

Comment 7 Matěj Cepl 2009-11-05 18:38:30 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Jonathan Underwood 2009-11-05 20:21:44 UTC
Yes, problem still exists with an up to date F-11 system.

Comment 9 Bug Zapper 2010-04-28 10:35:22 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-06-28 14:49:25 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.